import Vue from "vue/dist/vue";
import Vuex from "vuex";
import cloneDeep from "clone-deep";
import mutations from "./mutations";
import actions from "./actions";

Vue.use(Vuex);

export default state =>
  new Vuex.Store({
    state: {
      ...state,
      fixed: {
        elements: [],
        display: []
      }
    },
    actions,
    mutations: mutations(cloneDeep(state))
  });
